<?php

  /*
  @copyright (c) 2007 Tsarev Alexey, http://gituha.ru/joomla/smf_hot_posts/
  @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
  */

  //begin validation
  defined( '_VALID_MOS' ) or die( 'Restricted access' );
  //end validation

  //begin module parameters
  $root        = $params->def("root", 0);
  $smf_root    = $params->def("smf_root", $_SERVER["DOCUMENT_ROOT"] . "/smf/");
  $smf_only    = $params->def("smf_only", 0);
  $posts_count = $params->def("posts_count", 10); 
  $post_length = $params->def("post_length", 100);
  $post_author = $params->def("post_author", 1);
  $post_date   = $params->def("post_date", 1);
  //end module parameters

  if($root == 1)
    $ssi = $_SERVER["DOCUMENT_ROOT"] . "/" . trim($smf_root, "/"); else
    $ssi = rtrim($smf_root, "/");
  $ssi .= "/SSI.php";

  if(file_exists($ssi))
  {
    require_once($ssi); 

    if($smf_only == 1)
    {
      ssi_recentPosts($posts_count, null, "echo");
      flush();
    }else
    {
      $results = ssi_recentPosts($posts_count, null, "noecho");
      flush();

      echo "<table width=\"100%\" border=\"0\">";

      foreach ($results as $post)
      {
        $board  = $post["board"];
        $poster = $post["poster"];


        echo "<a href=\"" . $post["href"] . "\">" . $post["subject"] . "</a>\n";

        echo "&nbsp;[<a href=\"" . $board["href"] . "\">" . $board["name"] . "</a>]";
        if($post_author == 1)
          echo " => <a href=\"" . $poster["href"] . "\">" . $poster["name"] . "</a>";

        if($post_date == 1)
          echo "&nbsp;&nbsp;[". $post["time"] . "]\n";

        echo "<br>\n";

        $preview = $post["preview"];
        if(strlen($preview) > $post_length)
        {
           $preview = rtrim($preview, ".");
           $preview = substr($preview, 0, $post_length) . "...";
        }
        echo $preview . "<br><br>\n";

/*
        echo "<tr><td width=\"0%\" align=\"right\" nowrap><a href=\"" . $post["href"] . "\">" . $post["subject"] . "</a></td>\n";

        echo "<td width=\"0%\" nowrap>[<a href=\"" . $board["href"] . "\">" . $board["name"] . "</a>]";
        if($post_author == 1)
          echo " -> <a href=\"" . $poster["href"] . "\">" . $poster["name"] . "</a>";
        echo "</td>\n";

        if($post_date == 1)
          echo "<td width=\"100%\" nowrap>&nbsp;". $post["time"] . "</td>\n";

        echo "</tr>\n";

        $preview = $post["preview"];
        if(strlen($preview) > $post_length)
        {
           $preview = rtrim($preview, ".");
           $preview = substr($preview, 0, $post_length) . "...";
        }
        echo "<tr></td><td colspan=\"4\">" . $preview . "<br><hr></td><td>\n";
*/
      }

      echo "</table>";
    }
  } else
  {
    echo "Error: can`t find file: " . $ssi;
  }
?>
